import { as as MetaDescriptor } from './route-data-Vg5oPA4S.js';

/**
 * An object of unknown type for route loaders and actions provided by the
 * server's `getLoadContext()` function.  This is defined as an empty interface
 * specifically so apps can leverage declaration merging to augment this type
 * globally: https://www.typescriptlang.org/docs/handbook/declaration-merging.html
 */
interface AppLoadContext {
    [key: string]: unknown;
}

type MetaMatch<LoaderData> = {
    id: string;
    pathname: string;
    data: LoaderData;
    handle?: unknown;
    params: Record<string, string | undefined>;
    meta: MetaDescriptor[];
    error?: unknown;
};

export type { AppLoadContext as A, MetaMatch as M };
